Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.usertx.client
Class ClientUserTransactionObjectFactory

    java.lang.Object
      |
      +--org.jboss.tm.usertx.client.ClientUserTransactionObjectFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class ClientUserTransactionObjectFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

This is an object factory for producing client UserTransactions. usage for standalone clients.

Version:
  $Revision: 1.2.4.2 $
Author:
  Ole Husgaard

Constructor Summary
`ClientUserTransactionObjectFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientUserTransactionObjectFactory

    public ClientUserTransactionObjectFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.